--- src/multimedia/darwin/qcoreaudioutils.mm.orig	2023-03-12 04:46:05.000000000 +0100
+++ src/multimedia/darwin/qcoreaudioutils.mm	2023-07-08 23:42:48.000000000 +0200
@@ -119,11 +119,13 @@
         { QAudioFormat::TopFrontLeft, kAudioChannelLabel_VerticalHeightLeft },
         { QAudioFormat::TopFrontRight, kAudioChannelLabel_VerticalHeightRight },
         { QAudioFormat::TopFrontCenter, kAudioChannelLabel_VerticalHeightCenter },
-        { QAudioFormat::TopCenter, kAudioChannelLabel_CenterTopMiddle },
+        { QAudioFormat::TopCenter, kAudioChannelLabel_TopCenterSurround },
         { QAudioFormat::TopBackLeft, kAudioChannelLabel_TopBackLeft },
         { QAudioFormat::TopBackRight, kAudioChannelLabel_TopBackRight },
+#if MAC_OS_X_VERSION_MAX_ALLOWED >= 101500
         { QAudioFormat::TopSideLeft, kAudioChannelLabel_LeftTopMiddle },
         { QAudioFormat::TopSideRight, kAudioChannelLabel_RightTopMiddle },
+#endif
         { QAudioFormat::TopBackCenter, kAudioChannelLabel_TopBackCenter },
 };
 
--- src/plugins/multimedia/darwin/camera/qavfcamerabase.mm.orig	2023-03-12 04:46:05.000000000 +0100
+++ src/plugins/multimedia/darwin/camera/qavfcamerabase.mm	2023-07-09 00:18:24.000000000 +0200
@@ -93,18 +93,20 @@
 #endif // defined(Q_OS_IOS)
 
 bool isFlashAvailable(AVCaptureDevice* captureDevice) {
+#if MAC_OS_X_VERSION_MAX_ALLOWED >= 101500
     if (@available(macOS 10.15, *)) {
         return [captureDevice isFlashAvailable];
     }
-
+#endif
     return true;
 }
 
 bool isTorchAvailable(AVCaptureDevice* captureDevice) {
+#if MAC_OS_X_VERSION_MAX_ALLOWED >= 101500
     if (@available(macOS 10.15, *)) {
         return [captureDevice isTorchAvailable];
     }
-
+#endif
     return true;
 }
 
@@ -723,7 +725,7 @@
 
     if (@available(macOS 10.15, *)) {
         AVCaptureDevice *captureDevice = device();
-        return captureDevice && [captureDevice isExposureModeSupported:AVCaptureExposureModeCustom];
+        return captureDevice && [captureDevice isExposureModeSupported:AVCaptureExposureMode(3)]; // AVCaptureExposureModeCustom
     }
 
     return false;
